﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace ProjectElectricLocomotive.Exceptions
{
    public class CollectionDuplicateException : Exception
    {
        public CollectionDuplicateException(object obj) : base("Объект " + obj + " не является уникальным") { }
        public CollectionDuplicateException() : base() { }
        public CollectionDuplicateException(string message) : base(message) { }
        public CollectionDuplicateException(string message, Exception exception) :
            base(message, exception)
        { }
        protected CollectionDuplicateException(SerializationInfo info, StreamingContext
            contex) : base(info, contex) { }
    }
}
